SSHARE(1)

NAME
sshare - Tool for listing the shares of associations to a cluster.

SYNOPSIS
sshare [OPTIONS...]

DESCRIPTION
sshare is used to view SLURM share information. This command is only viable when running with the priority/multifactor plugin. The sshare information is derived from a database with the interface being provided by slurmdbd (SLURM Database daemon) which is read in from the slurmctld and used to process the shares available to a given association. sshare provides SLURM share information of Account, User, Raw Shares, Normalized Shares, Raw Usage, Normalized Usage, Effective Usage, and the Fair-share factor for each association.

OPTIONS

-A, --accounts=
    Display information for specific accounts (comma separated list).

-a, --all
    Display information for all users.

-h, --noheader
    No header will be added to the beginning of the output.

-l, --long
    Long listing - includes the normalized usage information.

-M, --clusters=<string>
    Clusters to issue commands to.

-p, --parsable
    Output will be '|' delimited with a '|' at the end.

-P, --parsable2
    Output will be '|' delimited without a '|' at the end.

-u, --users=
    Display information for specific users (comma separated list).

-v, --verbose
    Display more information about the specified options.

-V, --version
    Display the version number of sshare.

--help
    --usage Display a description of sshare options and commands.

EXAMPLES
> sshare -A <Account>
> sshare --parsable --users=<User>

COPYING
Copyright (C) 2008 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). CODE-OCEC-09-009. All rights reserved.

This file is part of SLURM, a resource management program. For details, see <https://computing.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurm.conf(5) slurmdbd(8)